Subject: Something wrong on x86/x86_64 builders

From: Jakub Jirutka <[email-masked]>
Date: Sat, 14 Oct 2017 00:27:12 +0200

Hi,

I’ve upgraded gnutls to 3.6.0 and enabled tests. The tests passed on my machine (x86_64), our aarch64, ppc64le and armhf builders, but not on x86 and x86_64 builders. There are 3 failing tests, the exact same tests that failed due to “date” command incompatibility which I’ve already fixed. First I’ve added coreutils to checkdepends, then I’ve tried to patch tests/scripts/commons.sh instead of using coreutils. In both cases it passed on my machine, but failed on x86/x86_64 builders.

I think that there’s something wrong on the builders, but don’t know what and can’t troubleshoot it without access to the build servers.

The failing tests are:

tests/fastopen.sh
tests/sni-hostname.sh
tests/gnutls-cli-save-data.sh

Log: http://build.alpinelinux.org/buildlogs/build-edge-x86_64/main/gnutls/gnutls-3.6.0-r0.log

Each of them generates log (e.g. tests/fastopen.sh.log) that should help us understand what’s going on.

For now I’ve allowed tests to fail.

Jakub